<div #card class="card">
    <span class="card-data">
        Card
    </span>
    <app-card-rollover [ngStyle]="rollOverStyle" #rollover [class]="rolloverLoaded ? 'show' : 'hide'"
        [class.ready]="showRollover && !rolloverLoaded" *ngIf="showRollover"></app-card-rollover>
</div>